Summary: Plugin for yum that only leaves N kernel packages in the system.
Name:    yum-plugin-installonlyn
Version: 0.90
Release: 1.%{mysig}
License: GPL
Group:   Development/Tools
Source0: yum-plugin-installonlyn.py
Source1: yum-plugin-installonlyn.conf
URL:     http://wiki.linux.duke.edu/YumPlugins
BuildArch: noarch
Requires:  python, yum >= 2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
A plugin for yum which only leaves n 'kernel' packages installed instead
of infinitely doing installonly.

%prep

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d \
         $RPM_BUILD_ROOT/usr/lib/yum-plugins

install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/yum-plugins/installonlyn.py
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-, root, root)
%{_sysconfdir}/yum/pluginconf.d/installonlyn.conf
/usr/lib/yum-plugins

%changelog
* Tue Aug 15 2006 Milan Kerslager <kerslage@linux.cz> 0.90-1.ker.rhel4
- initial package
